"use client";

import { AppContext } from "@/providers/AppbarProvider";
import { Close, Menu } from "@mui/icons-material";
import { Button } from "@mui/material";

import { use } from "react";

const MenuButton = () => {
  const { handleToggleMainSideBar, openMainSideBar } = use(AppContext);
  return (
    <div className="lg:hidden">
      <Button
        size="square"
        variant="outlined"
        onClick={handleToggleMainSideBar}
      >
        {openMainSideBar ? (
          <Close fontSize="large" color="primary" />
        ) : (
          <Menu fontSize="large" color="primary" />
        )}
      </Button>
    </div>
  );
};

export default MenuButton;
